Index: trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedHivePluginInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedHivePluginInfo.cs	(revision 1591)
+++ trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedHivePluginInfo.cs	(revision 1591)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.PluginInfrastructure {
+  public class CachedHivePluginInfo : HivePluginInfo {
+    
+    private List<byte[]> pluginFiles = new List<byte[]>();
+    /// <summary>
+    /// stores the plugin files in a list of byte arrays
+    /// </summary>
+    public List<byte[]> PluginFiles {
+      get { return pluginFiles; }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/3.2/BusinessObjects/CachedPlugin.cs	(revision 1590)
+++ 	(revision )
@@ -1,38 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Hive.Contracts.BusinessObjects;
-
-namespace HeuristicLab.PluginInfrastructure {
-  public class CachedHivePluginInfo : HivePluginInfo {
-    
-    private List<byte[]> pluginFiles = new List<byte[]>();
-    /// <summary>
-    /// stores the plugin files in a list of byte arrays
-    /// </summary>
-    public List<byte[]> PluginFiles {
-      get { return pluginFiles; }
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.Hive.Contracts/3.2/HeuristicLab.Hive.Contracts-3.2.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/3.2/HeuristicLab.Hive.Contracts-3.2.csproj	(revision 1590)
+++ trunk/sources/HeuristicLab.Hive.Contracts/3.2/HeuristicLab.Hive.Contracts-3.2.csproj	(revision 1591)
@@ -87,5 +87,5 @@
   <ItemGroup>
     <Compile Include="ApplicationConstants.cs" />
-    <Compile Include="BusinessObjects\CachedPlugin.cs" />
+    <Compile Include="BusinessObjects\CachedHivePluginInfo.cs" />
     <Compile Include="BusinessObjects\ClientGroup.cs" />
     <Compile Include="BusinessObjects\HivePluginInfo.cs" />
Index: trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs	(revision 1590)
+++ trunk/sources/HeuristicLab.Hive.Engine/3.2/HiveEngine.cs	(revision 1591)
@@ -30,4 +30,5 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Hive.Contracts.BusinessObjects;
+using System.IO;
 
 namespace HeuristicLab.Hive.Engine {
@@ -92,7 +93,4 @@
         pluginInfo.Version = info.Version.ToString();
         pluginInfo.BuildDate = info.BuildDate.ToString();
-
-
-
         pluginsNeeded.Add(pluginInfo);
       }