Index: trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 1595)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 1598)
@@ -73,4 +73,7 @@
       this.scClientControl = new System.Windows.Forms.SplitContainer();
       this.lvClientControl = new System.Windows.Forms.ListView();
+      this.contextMenuJob = new System.Windows.Forms.ContextMenuStrip(this.components);
+      this.menuItemAbortJob = new System.Windows.Forms.ToolStripMenuItem();
+      this.menuItemGetSnapshot = new System.Windows.Forms.ToolStripMenuItem();
       this.tcManagementConsole = new System.Windows.Forms.TabControl();
       this.checkBox1 = new System.Windows.Forms.CheckBox();
@@ -91,4 +94,5 @@
       this.scClientControl.Panel2.SuspendLayout();
       this.scClientControl.SuspendLayout();
+      this.contextMenuJob.SuspendLayout();
       this.tcManagementConsole.SuspendLayout();
       this.SuspendLayout();
@@ -490,4 +494,5 @@
       // 
       this.lvJobControl.AllowDrop = true;
+      this.lvJobControl.ContextMenuStrip = this.contextMenuJob;
       this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
       this.lvJobControl.LargeImageList = this.ilJobControl;
@@ -498,4 +503,5 @@
       this.lvJobControl.TabIndex = 0;
       this.lvJobControl.UseCompatibleStateImageBehavior = false;
+      this.lvJobControl.MouseUp += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseUp);
       this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
       this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
@@ -543,4 +549,24 @@
       this.lvClientControl.UseCompatibleStateImageBehavior = false;
       this.lvClientControl.Click += new System.EventHandler(this.OnLVClientClicked);
+      // 
+      // contextMenuJob
+      // 
+      this.contextMenuJob.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.menuItemAbortJob,
+            this.menuItemGetSnapshot});
+      this.contextMenuJob.Name = "contextMenuJob";
+      this.contextMenuJob.Size = new System.Drawing.Size(151, 48);
+      // 
+      // menuItemAbortJob
+      // 
+      this.menuItemAbortJob.Name = "menuItemAbortJob";
+      this.menuItemAbortJob.Size = new System.Drawing.Size(150, 22);
+      this.menuItemAbortJob.Text = "Abort";
+      // 
+      // menuItemGetSnapshot
+      // 
+      this.menuItemGetSnapshot.Name = "menuItemGetSnapshot";
+      this.menuItemGetSnapshot.Size = new System.Drawing.Size(150, 22);
+      this.menuItemGetSnapshot.Text = "Get Snapshot";
       // 
       // tcManagementConsole
@@ -596,4 +622,5 @@
       this.scClientControl.Panel2.ResumeLayout(false);
       this.scClientControl.ResumeLayout(false);
+      this.contextMenuJob.ResumeLayout(false);
       this.tcManagementConsole.ResumeLayout(false);
       this.ResumeLayout(false);
@@ -653,4 +680,7 @@
     private System.Windows.Forms.CheckBox checkBox1;
     private System.Windows.Forms.ColumnHeader chSnapshotTime;
+    private System.Windows.Forms.ContextMenuStrip contextMenuJob;
+    private System.Windows.Forms.ToolStripMenuItem menuItemAbortJob;
+    private System.Windows.Forms.ToolStripMenuItem menuItemGetSnapshot;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 1595)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 1598)
@@ -63,4 +63,5 @@
     public HiveServerManagementConsole() {
       InitializeComponent();
+      Init();
       AddClients();
       AddJobs();
@@ -86,4 +87,35 @@
 
     #endregion
+
+    private void Init() {
+
+      //adding context menu items for jobs
+      menuItemAbortJob.Click += (s, e) => {
+        IJobManager jobManager = ServiceLocator.GetJobManager();
+        if (lvJobControl.SelectedItems.Count == 1) {
+          Guid jobID = Guid.Empty;
+          jobID = (Guid)TypeDescriptor.GetConverter(jobID).ConvertFrom(lvJobControl.SelectedItems[0].Text);
+          jobManager.AbortJob(jobID);
+        }
+      };
+
+      menuItemGetSnapshot.Click += (s, e) => {
+        IJobManager jobManager = ServiceLocator.GetJobManager();
+        if (lvJobControl.SelectedItems.Count == 1) {
+          Guid jobID = Guid.Empty;
+          jobID = (Guid)TypeDescriptor.GetConverter(jobID).ConvertFrom(lvJobControl.SelectedItems[0].Text);
+          jobManager.RequestSnapshot(jobID);
+        }
+      };
+
+    }
+
+    private void lvJobControl_MouseUp(object sender, MouseEventArgs e) {
+      // If the right mouse button was clicked and released,
+      // display the shortcut menu assigned to the TreeView. 
+      if (e.Button == MouseButtons.Right && lvJobControl.SelectedItems.Count == 1) {
+        lvJobControl.ContextMenuStrip.Show(new Point(e.X, e.Y));
+      }
+    }
 
     /// <summary>
@@ -690,4 +722,7 @@
     #endregion
 
+
+
+
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx	(revision 1595)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx	(revision 1598)
@@ -349,6 +349,9 @@
     <value>580, 13</value>
   </metadata>
+  <metadata name="contextMenuJob.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>730, 13</value>
+  </metadata>
   <metadata name="updaterWoker.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>17, 50</value>
+    <value>862, 13</value>
   </metadata>
 </root>