Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Bool2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Bool2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class Bool2DebugStringFormatter : ValueType2DebugStringFormatterBase<bool> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DateTime2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DateTime2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class DateTime2DebugStringFormatter : ValueType2DebugStringFormatterBase<DateTime> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringGenerator.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringGenerator.cs	(revision 1570)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringGenerator.cs	(revision 1612)
@@ -14,5 +14,5 @@
     private readonly bool showRefs;
 
-    public DebugStringGenerator() : this(false) { }
+    public DebugStringGenerator() : this(true) { }
 
     public DebugStringGenerator(bool showRefs) {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Doubld2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Doubld2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class Double2DebugStringFormatter : ValueType2DebugStringFormatterBase<double> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Float2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Float2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class Float2DebugStringFormatter : ValueType2DebugStringFormatterBase<float> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Bool2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Bool2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Bool2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class Bool2DebugStringFormatter : ValueType2DebugStringFormatterBase<bool> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/DateTime2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/DateTime2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/DateTime2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class DateTime2DebugStringFormatter : ValueType2DebugStringFormatterBase<DateTime> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Doubld2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Doubld2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Doubld2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class Double2DebugStringFormatter : ValueType2DebugStringFormatterBase<double> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Float2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Float2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Float2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class Float2DebugStringFormatter : ValueType2DebugStringFormatterBase<float> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Int2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Int2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Int2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class Int2DebugStringFormatter : ValueType2DebugStringFormatterBase<int> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/String2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/String2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/String2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class String2DebugStringFormatter : ValueType2DebugStringFormatterBase<string> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Type2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Type2DebugStringFormatter.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Type2DebugStringFormatter.cs	(revision 1612)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  [EmptyStorableClass]
+  public class Type2DebugStringFormatter : ValueType2DebugStringFormatterBase<Type> { }
+
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/ValueType2DebugStringFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/ValueType2DebugStringFormatterBase.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/ValueType2DebugStringFormatterBase.cs	(revision 1612)
@@ -0,0 +1,17 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
+
+  public abstract class ValueType2DebugStringFormatterBase<T> : FormatterBase<T, DebugString> {
+    public override DebugString Format(T o) { return new DebugString(o.ToString()); }
+    public override T Parse(DebugString s) {
+      throw new NotImplementedException();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Int2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Int2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class Int2DebugStringFormatter : ValueType2DebugStringFormatterBase<int> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/String2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/String2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class String2DebugStringFormatter : ValueType2DebugStringFormatterBase<string> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Type2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Type2DebugStringFormatter.cs	(revision 1570)
+++ 	(revision )
@@ -1,14 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  [EmptyStorableClass]
-  public class Type2DebugStringFormatter : ValueType2DebugStringFormatterBase<Type> { }
-
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/ValueType2DebugStringFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/ValueType2DebugStringFormatterBase.cs	(revision 1570)
+++ 	(revision )
@@ -1,17 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.Xml;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Core.Tokens;
-
-namespace HeuristicLab.Persistence.Default.DebugString {
-
-  public abstract class ValueType2DebugStringFormatterBase<T> : FormatterBase<T, DebugString> {
-    public override DebugString Format(T o) { return new DebugString(o.ToString()); }
-    public override T Parse(DebugString s) {
-      throw new NotImplementedException();
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlFormatters.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlFormatters.cs	(revision 1570)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlFormatters.cs	(revision 1612)
@@ -5,5 +5,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class DoubleArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> {
+  public abstract class DoubleArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> where T : class{
 
     protected override string FormatValue(object o) {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlFormatters.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlFormatters.cs	(revision 1570)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlFormatters.cs	(revision 1612)
@@ -4,5 +4,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class IntArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> {
+  public abstract class IntArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> where T : class{
 
     protected override string FormatValue(object o) {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlFormatterBase.cs	(revision 1570)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlFormatterBase.cs	(revision 1612)
@@ -6,5 +6,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class NumberArray2XmlFormatterBase<T> : FormatterBase<T, XmlString> {
+  public abstract class NumberArray2XmlFormatterBase<T> : FormatterBase<T, XmlString> where T : class {
 
     protected virtual string Separator { get { return ";"; } }
@@ -12,7 +12,6 @@
     protected abstract object ParseValue(string o);
 
-    public override XmlString Format(T t) {
-      object o = (object)t;
-      Array a = (Array)o;
+    public override XmlString Format(T t) {      
+      Array a = (Array)(object)t;
       int[] lengths = new int[a.Rank];
       int[] lowerBounds = new int[a.Rank];
@@ -75,7 +74,6 @@
           }
         }
-      }
-      object o = a;
-      return (T)o;
+      }      
+      return (T)(object)a;
     }
   }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 1570)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 1612)
@@ -10,15 +10,5 @@
 using HeuristicLab.Persistence.Core.Tokens;
 
-namespace HeuristicLab.Persistence.Default.Xml {
-
-  struct XmlStrings {
-    public const string PRIMITIVE = "PRIMITVE";
-    public const string COMPOSITE = "COMPOSITE";
-    public const string REFERENCE = "REFERENCE";
-    public const string NULL = "NULL";
-    public const string TYPECACHE = "TYPECACHE";
-    public const string TYPE = "TYPE";
-    public const string METAINFO = "METAINFO";
-  }
+namespace HeuristicLab.Persistence.Default.Xml {  
 
   public class XmlGenerator : GeneratorBase<string> {
@@ -116,5 +106,5 @@
     protected override string Format(BeginToken beginToken) {
       return CreateNodeStart(
-        XmlStrings.COMPOSITE,
+        XmlStringConstants.COMPOSITE,
         new Dictionary<string, object> {
           {"name", beginToken.Name},
@@ -124,9 +114,9 @@
 
     protected override string Format(EndToken endToken) {
-      return CreateNodeEnd(XmlStrings.COMPOSITE);
+      return CreateNodeEnd(XmlStringConstants.COMPOSITE);
     }
 
     protected override string Format(PrimitiveToken dataToken) {
-      return CreateNode(XmlStrings.PRIMITIVE,
+      return CreateNode(XmlStringConstants.PRIMITIVE,
         new Dictionary<string, object> {
             {"typeId", dataToken.TypeId},
@@ -137,5 +127,5 @@
 
     protected override string Format(ReferenceToken refToken) {
-      return CreateNode(XmlStrings.REFERENCE,
+      return CreateNode(XmlStringConstants.REFERENCE,
         new Dictionary<string, object> {
           {"ref", refToken.Id},
@@ -144,5 +134,5 @@
 
     protected override string Format(NullReferenceToken nullRefToken) {
-      return CreateNode(XmlStrings.NULL,
+      return CreateNode(XmlStringConstants.NULL,
         new Dictionary<string, object>{
           {"name", nullRefToken.Name}});
@@ -150,18 +140,18 @@
 
     protected override string Format(MetaInfoBeginToken metaInfoBeginToken) {
-      return CreateNodeStart(XmlStrings.METAINFO);
+      return CreateNodeStart(XmlStringConstants.METAINFO);
     }
 
     protected override string Format(MetaInfoEndToken metaInfoEndToken) {
-      return CreateNodeEnd(XmlStrings.METAINFO);
+      return CreateNodeEnd(XmlStringConstants.METAINFO);
     }
 
     public IEnumerable<string> Format(List<TypeMapping> typeCache) {
-      yield return CreateNodeStart(XmlStrings.TYPECACHE);
+      yield return CreateNodeStart(XmlStringConstants.TYPECACHE);
       foreach (var mapping in typeCache)
         yield return CreateNode(
-          XmlStrings.TYPE,
+          XmlStringConstants.TYPE,
           mapping.GetDict());
-      yield return CreateNodeEnd(XmlStrings.TYPECACHE);
+      yield return CreateNodeEnd(XmlStringConstants.TYPECACHE);
     }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 1570)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 1612)
@@ -25,9 +25,9 @@
       reader = XmlReader.Create(input, settings);
       handlers = new Dictionary<string, Handler> {
-                     {XmlStrings.PRIMITIVE, ParsePrimitive},
-                     {XmlStrings.COMPOSITE, ParseComposite},
-                     {XmlStrings.REFERENCE, ParseReference},
-                     {XmlStrings.NULL, ParseNull},
-                     {XmlStrings.METAINFO, ParseMetaInfo},
+                     {XmlStringConstants.PRIMITIVE, ParsePrimitive},
+                     {XmlStringConstants.COMPOSITE, ParseComposite},
+                     {XmlStringConstants.REFERENCE, ParseReference},
+                     {XmlStringConstants.NULL, ParseNull},
+                     {XmlStringConstants.METAINFO, ParseMetaInfo},
                    };
     }
@@ -105,5 +105,5 @@
       XmlReader xmlReader = XmlReader.Create(reader);
       while (xmlReader.Read()) {
-        if (xmlReader.Name == XmlStrings.TYPE) {
+        if (xmlReader.Name == XmlStringConstants.TYPE) {
           typeCache.Add(new TypeMapping(
             int.Parse(xmlReader.GetAttribute("id")),
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStrings.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStrings.cs	(revision 1612)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStrings.cs	(revision 1612)
@@ -0,0 +1,24 @@
+﻿using System.Collections.Generic;
+using System;
+using System.Text;
+using HeuristicLab.Persistence.Interfaces;
+using HeuristicLab.Persistence.Core;
+using System.IO;
+using ICSharpCode.SharpZipLib.Zip;
+using HeuristicLab.Tracing;
+using log4net;
+using HeuristicLab.Persistence.Core.Tokens;
+
+namespace HeuristicLab.Persistence.Default.Xml {
+
+  struct XmlStringConstants {
+    public const string PRIMITIVE = "PRIMITVE";
+    public const string COMPOSITE = "COMPOSITE";
+    public const string REFERENCE = "REFERENCE";
+    public const string NULL = "NULL";
+    public const string TYPECACHE = "TYPECACHE";
+    public const string TYPE = "TYPE";
+    public const string METAINFO = "METAINFO";
+  }
+  
+}